Subject: Re: [PATCH net] net: enetc: fix the output issue of 'ethtool --show-ring'

From: Jakub Kicinski <[email-masked]>
Date: Thu, 19 Mar 2026 09:22:23 -0700

On Thu, 19 Mar 2026 15:27:16 +0800 Wei Fang wrote:
> Currently, enetc_get_ringparam() only provides rx_pending and tx_pending,
> but 'ethtool --show-ring' no longer displays these fields. Because the
> ringparam retrieval path has moved to the new netlink interface, where
> rings_fill_reply() emits rx_pending/tx_pending only if the corresponding
> rx_max_pending/tx_max_pending values are non-zero. So rx_max_pending and
> tx_max_pending to are added to enetc_get_ringparam() to fix the issue.

Why set it to 64k vs priv->*x_bd_count ?
There's not set_ringparam so user can't actually change the value,
wouldn't setting max to 64k give user the impression they can increase
the size?